<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_HotelFlightInfo StructType
 * @subpackage Structs
 */
class JP_HotelFlightInfo extends AbstractStructBase
{
    /**
     * The Arrival
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_FlightInfo
     */
    public $Arrival;
    /**
     * The Departure
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_FlightInfo
     */
    public $Departure;
    /**
     * Constructor method for JP_HotelFlightInfo
     * @uses JP_HotelFlightInfo::setArrival()
     * @uses JP_HotelFlightInfo::setDeparture()
     * @param \StructType\JP_FlightInfo $arrival
     * @param \StructType\JP_FlightInfo $departure
     */
    public function __construct(\StructType\JP_FlightInfo $arrival = null, \StructType\JP_FlightInfo $departure = null)
    {
        $this
            ->setArrival($arrival)
            ->setDeparture($departure);
    }
    /**
     * Get Arrival value
     * @return \StructType\JP_FlightInfo|null
     */
    public function getArrival()
    {
        return $this->Arrival;
    }
    /**
     * Set Arrival value
     * @param \StructType\JP_FlightInfo $arrival
     * @return \StructType\JP_HotelFlightInfo
     */
    public function setArrival(\StructType\JP_FlightInfo $arrival = null)
    {
        $this->Arrival = $arrival;
        return $this;
    }
    /**
     * Get Departure value
     * @return \StructType\JP_FlightInfo|null
     */
    public function getDeparture()
    {
        return $this->Departure;
    }
    /**
     * Set Departure value
     * @param \StructType\JP_FlightInfo $departure
     * @return \StructType\JP_HotelFlightInfo
     */
    public function setDeparture(\StructType\JP_FlightInfo $departure = null)
    {
        $this->Departure = $departure;
        return $this;
    }
}
